DROP TABLE  PLAN_TABLE
/

--
-- PLAN_TABLE  (Table) 
--
CREATE TABLE PLAN_TABLE
(
  STATEMENT_ID     VARCHAR2(30),
  TIMESTAMP        DATE,
  REMARKS          VARCHAR2(80),
  OPERATION        VARCHAR2(30),
  OPTIONS          VARCHAR2(30),
  OBJECT_NODE      VARCHAR2(128),
  OBJECT_OWNER     VARCHAR2(30),
  OBJECT_NAME      VARCHAR2(30),
  OBJECT_INSTANCE  INTEGER,
  OBJECT_TYPE      VARCHAR2(30),
  OPTIMIZER        VARCHAR2(255),
  SEARCH_COLUMNS   NUMBER,
  ID               INTEGER,
  PARENT_ID        INTEGER,
  POSITION         INTEGER,
  COST             INTEGER,
  CARDINALITY      INTEGER,
  BYTES            INTEGER,
  OTHER_TAG        VARCHAR2(255),
  PARTITION_START  VARCHAR2(255),
  PARTITION_STOP   VARCHAR2(255),
  PARTITION_ID     INTEGER,
  OTHER            LONG,
  DISTRIBUTION     VARCHAR2(30)
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          16K
            NEXT             144K
            MINEXTENTS       1
            MAXEXTENTS       505
            PCTINCREASE      50
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL
/

DROP PUBLIC SYNONYM PLAN_TABLE
/ 

CREATE PUBLIC SYNONYM PLAN_TABLE FOR PLAN_TABLE
/

DROP PUBLIC SYNONYM TOAD_PLAN_TABLE
/ 


CREATE PUBLIC SYNONYM TOAD_PLAN_TABLE FOR PLAN_TABLE
/


GRANT DELETE, INSERT, SELECT, UPDATE ON  PLAN_TABLE TO PUBLIC
/


